<?xml version="1.0" encoding="iso-8859-1"?>


<setup xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns="https://www.benerator.de/schema/1.0.0"
       xsi:schemaLocation="https://www.benerator.de/schema/1.0.0 https://www.benerator.de/schema/benerator-1.0.0.xsd">

    <bean id="products_fcv" class="FixedWidthEntitySource">
        <property name="uri" value="demo/file/products.import.fcw"/>
        <property name="entity" value="product"/>
        <property name="columns" value="ean_code[13],name[30],category_id[9],price[8r0],manufacturer[30]"/>
    </bean>

    <generate type="transaction" count="100">
        <variable name="product" type="entity" source="products_fcv" distribution="random"/>

        <id name="id" type="long"/>
        <attribute name="ean_code" script="product.ean_code"/>
        <attribute name="price" script="product.price"/>
        <attribute name="items" type="short" min="1" max="27"/>

        <consumer class="FixedWidthEntityExporter">
            <property name="uri" value="transactions.fcw"/>
            <property name="columns" value="id[8r0],ean_code[13],price[8r0],items[4r0]"/>
        </consumer>
    </generate>

    <echo>Generated data:</echo>
    <if test="com.rapiddweller.commons.SystemInfo.isWindows()">
        <then>
            <execute type="shell">cmd /C type transactions.fcw</execute>
        </then>
        <else>
            <execute type="shell">cat transactions.fcw</execute>
        </else>
    </if>

</setup>